DIVISION(3)

NAME
im_divide - divide two images

SYNOPSIS
#include <vips/vips.h> int im_divide(in1, in2, out)
IMAGE *in1, *in2, *out;

DESCRIPTION
im_divide(3) divides two images. The result is float except if one (or both) input is double. In the latter case the result is double. If either input is complex, the result is complex. If either input is double complex, the output is double complex. Input images in1 and in2 should have the same channels and the same sizes, however they can be of different types. Only the history of the image descriptor pointed by in1 is copied to out. For complex input pels (x1,y1) and (x2,y2), im_divide(3) writes
  ((x1*x2 + y1*y2)/(x2*x2 + y2*y2), (y1*x2 - x1*y2)/(x2*x2 + y2*y2)).

BUGS
The function does not check the result for over/underflow.

RETURN VALUE
The function returns 0 on success and -1 on error.

SEE ALSO
im_remainder(3), im_multiply(3), im_subtract(3), im_lintra(3), im_add(3).

COPYRIGHT
National Gallery, 1995